require 'sequel'

db = Sequel.connect('sqlite://blog.db')

require_relative 'models/user'
require_relative 'models/post'
require_relative 'models/comment'

require_relative 'queries/post_schema'

query = '
{
    allPosts {
        title
        body
    }
    post(id: 1) {
        title
        body
        comments {
            body
            user {
                userName
                firstName
            }
        }
    }
}
'
pp PostSchema.execute(query).to_h

